<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  exclude-result-prefixes="xs"
  version="2.0">
  <xsl:output indent="yes" method="xml"/>
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
        <title>Table of Contents</title>
        <link rel="stylesheet" type="text/css" href="css/toc.css"/>
      </head>
      <body>
        <ul>
          <xsl:apply-templates/>
        </ul>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="person">
    <li xmlns="http://www.w3.org/1999/xhtml">
      <xsl:element name="a">
        <xsl:attribute name="href">
          <xsl:value-of select="concat('persons/',@id,'.html')"/>
        </xsl:attribute>
        <xsl:attribute name="target">info</xsl:attribute>
        <xsl:variable name="doc" select="document(@href)" as="node()"/>
        <xsl:variable name="givenName" select="$doc/person/name/given/text()" as="xs:string"/>
        <xsl:variable name="familyName" select="$doc/person/name/family/text()" as="xs:string"/>
        <xsl:value-of select="concat($givenName, ' ', $familyName)"/>
      </xsl:element>
    </li>
  </xsl:template>
</xsl:stylesheet>