<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0"
    xmlns:f="http://oxygenxml.com/ns/functions">
    <xsl:template match="library">
        <html>
            <head>
                <title>The list of books</title>
            </head>
            <body>
                <table border="1">
                    <xsl:variable name="books" select="publisher/book"/>
                    
                    Average price: <xsl:variable name="avgPrice" select="avg($books/price)"/>
                    <xsl:value-of select="round($avgPrice)"/>
                    
                    <xsl:for-each select="$books">
                        <xsl:variable name="price" select="price"/>
                        
                        <xsl:variable name="expensiveMessage" select="f:generateExpensiveMsg($avgPrice, $price)"/>
                        
                        <xsl:call-template name="generateBook">
                            <xsl:with-param name="title" select="title"/>
                            <xsl:with-param name="author" select="author"/>
                            <xsl:with-param name="price" select="$price"/>
                            <xsl:with-param name="expMsg" select="$expensiveMessage"/>
                        </xsl:call-template>
                    </xsl:for-each>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:function name="f:generateExpensiveMsg">
        <xsl:param name="avgPrice"/>
        <xsl:param name="price"/>
        <xsl:choose>
            <xsl:when test="$price > $avgPrice">
                Is expensive
            </xsl:when>
            <xsl:otherwise>
                Is not expensive
            </xsl:otherwise>
        </xsl:choose>
    </xsl:function>
    <xsl:include href="generateBooks.xsl"/>
</xsl:stylesheet>









