<!--
  This is an XSLT stylesheet designed for Saxon-CE processor.
     
  For documentation about the Saxon-CE processor, see http://www.saxonica.com/ce/index.xml
-->
<xsl:transform
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:prop="http://saxonica.com/ns/html-property"
  xmlns:style="http://saxonica.com/ns/html-style-property"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"  
  xmlns:ixsl="http://saxonica.com/ns/interactiveXSLT"
  xmlns:js="http://saxonica.com/ns/globalJS"
  
  exclude-result-prefixes="xs prop"
  extension-element-prefixes="ixsl"
  version="2.0">
  <xsl:template match="/">
    <xsl:result-document href="#main" method="ixsl:append-content">
      <table border="1">
        <xsl:for-each select="//book">
          <tr>
            <td>
              <xsl:value-of select="title"/>
            </td>
            <td>
              <xsl:value-of select="author"/>
            </td>
          </tr>
        </xsl:for-each>
      </table>
    </xsl:result-document>
  </xsl:template>
  
  <xsl:template match="td" mode="ixsl:onclick">
    <xsl:variable name="color" select="
      if(contains(@style, 'orange')) then 'green' else 'orange'"/>
    <ixsl:set-attribute name="style:color" select="$color"/>
  </xsl:template>
  
</xsl:transform>
